Skip to main content
`Ctrl`+`K`

# EPSIsPositive

Ask if the `EPS` object corresponds to an eigenvalue problem type that requires a positive (semi-) definite matrix \(B\).

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSIsPositive(EPS eps,PetscBool* is)

Not Collective

## Input Parameter

- eps - the linear eigensolver context

## Output Parameter

- is - `PETSC_TRUE` if the problem is positive (semi-) definite

## See Also

EPS: Eigenvalue Problem Solver, `EPSIsGeneralized()`, `EPSIsHermitian()`, `EPSIsStructured()`

## Level

intermediate

## Location

src/eps/interface/epsbasic.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages